Subject: bug#38003: date --date=-1month gives same month today

From: Ilja Honkonen <[email-masked]>
Date: Thu, 31 Oct 2019 10:34:45 +0200

Hello
Please CC me as I'm not on this list. Running date (GNU coreutils) 8.26 
on fedora 30 today (date --utc  -I: 2019-10-31) with --date=-1month gives 
the same month which doesn't make sense:
$ date --utc -I --date=-1month
2019-10-01
I assume using --date=-31day also wouldn't work if run e.g. in beginning 
of march so this looks like a bug. Same happens also without --utc and 
-I. Thanks
Ilja